FsImageProto (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto

Package org.apache.hadoop.hdfs.server.namenode

# Class FsImageProto

java.lang.Object
org.apache.hadoop.hdfs.server.namenode.FsImageProto

public final class FsImageProto extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FsImageProto.CacheManagerSection`
  Protobuf type `hadoop.hdfs.fsimage.CacheManagerSection`
  `static interface`
  `FsImageProto.CacheManagerSectionOrBuilder`
  `static final class`
  `FsImageProto.ErasureCodingSection`
  Protobuf type `hadoop.hdfs.fsimage.ErasureCodingSection`
  `static interface`
  `FsImageProto.ErasureCodingSectionOrBuilder`
  `static final class`
  `FsImageProto.FileSummary`
  Protobuf type `hadoop.hdfs.fsimage.FileSummary`
  `static interface`
  `FsImageProto.FileSummaryOrBuilder`
  `static final class`
  `FsImageProto.FilesUnderConstructionSection`
  This section records information about under-construction files for reconstructing the lease map.
  `static interface`
  `FsImageProto.FilesUnderConstructionSectionOrBuilder`
  `static final class`
  `FsImageProto.INodeDirectorySection`
  This section records the children of each directories NAME: INODE_DIR
  `static interface`
  `FsImageProto.INodeDirectorySectionOrBuilder`
  `static final class`
  `FsImageProto.INodeReferenceSection`
  Protobuf type `hadoop.hdfs.fsimage.INodeReferenceSection`
  `static interface`
  `FsImageProto.INodeReferenceSectionOrBuilder`
  `static final class`
  `FsImageProto.INodeSection`
  Permission is serialized as a 64-bit long. [0:24):[25:48):[48:64) (in Big Endian).
  `static interface`
  `FsImageProto.INodeSectionOrBuilder`
  `static final class`
  `FsImageProto.NameSystemSection`
  Name: NS_INFO
  `static interface`
  `FsImageProto.NameSystemSectionOrBuilder`
  `static final class`
  `FsImageProto.SecretManagerSection`
  Protobuf type `hadoop.hdfs.fsimage.SecretManagerSection`
  `static interface`
  `FsImageProto.SecretManagerSectionOrBuilder`
  `static final class`
  `FsImageProto.SnapshotDiffSection`
  This section records information about snapshot diffs NAME: SNAPSHOT_DIFF
  `static interface`
  `FsImageProto.SnapshotDiffSectionOrBuilder`
  `static final class`
  `FsImageProto.SnapshotSection`
  This section records the information about snapshot NAME: SNAPSHOT
  `static interface`
  `FsImageProto.SnapshotSectionOrBuilder`
  `static final class`
  `FsImageProto.StringTableSection`
  This section maps string to id NAME: STRING_TABLE
  `static interface`
  `FsImageProto.StringTableSectionOrBuilder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.apache.hadoop.thirdparty.protobuf.Descriptors.FileDescriptor`
  `getDescriptor()`
  `static void`
  `registerAllExtensions(org.apache.hadoop.thirdparty.protobuf.ExtensionRegistry registry)`
  `static void`
  `registerAllExtensions(org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite registry)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### registerAllExtensions

    public static void registerAllExtensions(org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite registry)

  - ### registerAllExtensions

    public static void registerAllExtensions(org.apache.hadoop.thirdparty.protobuf.ExtensionRegistry registry)

  - ### getDescriptor

    public static org.apache.hadoop.thirdparty.protobuf.Descriptors.FileDescriptor getDescriptor()